# $Revision: 1.5 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Autoformat
Summary:	Text-Autoformat perl module
Summary(pl):	Modu perla Text-Autoformat
Name:		perl-Text-Autoformat
Version:	1.04
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Autoformat provides intelligent formatting of plaintext without
the need for any kind of embedded mark-up. The module recognizes
Internet quoting conventions, a wide range of bulleting and number
schemes, centred text, and block quotations, and reformats each
appropriately. Other options allow the user to adjust inter-word and
inter-paragraph spacing, justify text, and impose various
capitalization schemes.

%description -l pl
Text::Autoformat udostpnia inteligentne formatowanie czystego tekstu
bez potrzeby jamkichkolwiek znacznikw. Modu rozpoznaje internetowe
konwencje cytowania, szeroki zasb wylicze i wiele schematw, tekst
centrowany, cytaty blokowe - i kady z nich odpowiednio reformatuje.
Inne opcje pozwalaj uytkownikowi regulowa odstpy midzy sowami
i midzy akapitami, justowa tekst i stosowa rne schematy wielkoci
liter.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%doc demo.pl
%{perl_sitelib}/Text/Autoformat.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Autoformat.spec,v $
Revision 1.5  2002/02/25 10:34:42  depesz
cleanup; revision++

Revision 1.4  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/21 04:54:29  kloczek
- release 2.

Revision 1.2  2002/02/19 14:29:14  qboosh
- pl description

Revision 1.1  2002/02/19 12:26:36  depesz
- new module
- sorry - no polish description (can't thinkf of one)
- STBR
